# Interface methods for submodule: ShapePositionLabelMapFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceLabelMapFilterProxy as _InPlaceLabelMapFilterProxy


# Interface methods for class: ShapePositionLabelMapFilter
class ShapePositionLabelMapFilterProxy(_InPlaceLabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetAttribute(self) -> int:
		""""""
		...

	@overload
	def SetAttribute(self, _arg: int) -> None:
		""""""
		...

	@overload
	def SetAttribute(self, s: str) -> None:
		""""""
		...

